Skip to main content

List all payouts

Retrieve a paginated list of payouts for your partner program.
1 min read
get/payouts
Request example
Response
get/payouts
Note

Payouts endpoints require an Business plan subscription or higher.

Authorization

Authorizationstringheaderrequired#
Default authentication mechanism

Query parameters

statusenum<string>#
Filter the list of payouts by their corresponding status.
Options:pendingprocessingprocessedsentcompletedfailedcanceled
partnerIdstring#
Filter the list of payouts by the associated partner. When specified, takes precedence over tenantId.
tenantIdstring#
Filter the list of payouts by the associated partner's tenantId (their unique ID within your database).
invoiceIdstring#
Filter the list of payouts by invoice ID (the unique ID of the invoice you receive for each batch payout you process on Dub). Pending payouts will not have an invoice ID.
groupIdstring#
Filter the list of payouts by the associated partner group. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: group_abc, group_abc,group_xyz, -group_abc.
sortByenum<string>#
The field to sort the list of payouts by.

Default: "amount"

Options:amountinitiatedAtpaidAt
sortOrderenum<string>#
The sort order for the list of payouts.

Default: "desc"

Options:ascdesc
pageinteger#
The page number for pagination. The first page is 1.

Range: true < x <= 9007199254740991

pageSizeinteger#
The number of items per page.

Default: 100

Range: true < x <= 100

Responses

application/json
The list of payouts.
idstringrequired#
invoiceIdstringrequired#
amountnumberrequired#
currencystringrequired#
statusenum<string>required#
Options:pendingprocessingprocessedsentcompletedfailedcanceled
descriptionstring#
periodStartstringrequired#
periodEndstringrequired#
createdAtstringrequired#
updatedAtstring#
initiatedAtstringrequired#
paidAtstringrequired#
failureReasonstring#
modeenum<string>required#
Options:internalexternal
methodenum<string>required#
Options:connectstablecoinpaypaltremendous
traceIdstring#
partnerobjectrequired#
Show child attributes
idstringrequired#
The partner's unique ID on Dub.
namestringrequired#
The partner's full legal name.

Length: max 190

emailstringrequired#
The partner's email address. Should be a unique value across Dub.

Length: max 190

imagestringrequired#
The partner's avatar image.
defaultPayoutMethodenum<string>required#
The partner's default payout method. Connect: Bank account payouts via Stripe Connect; Stablecoin: USDC payouts directly to a crypto wallet; PayPal: Payouts via PayPal
Options:connectstablecoinpaypaltremendous
payoutsEnabledAtstringrequired#
The date when the partner enabled payouts.
countrystringrequired#
The partner's country (required for tax purposes).
groupIdstring#
The partner's group ID on Dub.
tenantIdstringrequired#
The partner's unique ID within your database. Can be useful for associating the partner with a user in your database and retrieving/update their data in the future.
userobject#
Show child attributes
idstringrequired#
namestringrequired#
emailstringrequired#
imagestringrequired#